Bug 501706 - cracking sound
cracking sound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 08:45 EDT by Michal Hlavinka
Modified: 2010-06-28 08:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio -vvvvv (44.07 KB, text/plain)
2009-05-20 13:31 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2009-05-20 08:45:55 EDT
Description of problem:
when using pulseaudion, sound contains random cracks (about 1 - 2 per second)

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-11.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64
kernel-2.6.29.3-152.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.mplayer -vo xv -ao pulse some_video_file.avi
or
2.mplayer -ao pulse some_audi_file.mp3
3....

with "-ao alsa" it works
  
Actual results:
sound with cracks

Expected results:
sound without cracks

Additional info:
this is not "after update" it's persistent status

smolt profile:
http://www.smolts.org/client/show/pub_bba430ef-8458-4331-9ff2-a246dd6b34df
(now using updated rawhide, but smolt is broken here)

# lspci -nn
... (you can find the rest in smol profile)
00:10.1 Audio device [0403]: nVidia Corporation MCP51 High Definition Audio [10de:026c] (rev a2)

let me know if you need any other info
Comment 1 Michal Hlavinka 2009-05-20 08:46:15 EDT
dmesg bits:
HDA Intel 0000:00:10.1: PCI INT B -> Link[LAZA] -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:10.1: setting latency timer to 64
firewire_core: created device fw0: GUID 001e8c000165a632, S400
hda_codec: Unknown model for ALC861, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:3507: autoconfig: line_outs=1 (0xb/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3511:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3515:    hp_outs=1 (0xe/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3516:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3524:    inputs: mic=0xd, fmic=0x0, line=0xc, fline=0x0, cd=0x11, aux=0x0
Comment 2 Michal Hlavinka 2009-05-20 08:53:09 EDT
I've followed http://pulseaudio.org/wiki/BrokenSoundDrivers
> ... I already got this data for snd-intel8x0, es1969, snd-ens1371, emu10k1 and snd-intel-hda on AD1989B, STAC92xx, ALC883 (reports for other hda implementations very welcome).

I have ALC861 which is not listed there.

# ./alsa-time-test hw:0 >log
alsa-time-test: alsa-time-test.c:189: main: Assertion `(unsigned) avail <= buffer_size' failed.
Aborted (core dumped)

# tail -n 50 <log
75019644        75019641        81525646        1       4415    0       1       3
75019661        75019657        81525668        1       4415    0       1       3
75019676        75019673        81525668        0       4415    0       0       3
75019689        75019686        81525691        1       4415    0       1       3
75019704        75019702        81525714        1       4415    0       1       3
75019720        75019718        81525736        1       4415    0       1       3
75019736        75019733        81525736        0       4415    0       0       3
75019749        75019745        81525759        1       4415    0       1       3
75019765        75019762        81525782        1       4415    0       1       3
75019781        75019778        81525782        0       4415    0       0       3
75019794        75019791        81525804        1       4415    0       1       3
75019809        75019806        81525827        1       4415    0       1       3
75019825        75019822        81525850        1       4415    0       1       3
75019841        75019838        81525850        0       4415    0       0       3
75019853        75019851        81525873        1       4415    0       1       3
75019869        75019866        81525895        1       4415    0       1       3
75019885        75019882        81525895        0       4415    0       0       3
75019897        75019894        81525918        1       4415    0       1       3
75019913        75019910        81525941        1       4415    0       1       3
75019929        75019926        81525963        1       4415    0       1       3
75019945        75019942        81525963        0       4415    0       0       3
75019957        75019954        81525986        1       4415    0       1       3
75019973        75019970        81526009        1       4415    0       1       3
75019989        75019986        81526009        0       4415    0       0       3
75020001        75019998        81526031        1       4415    0       1       3
75020017        75020014        81526054        1       4415    0       1       3
75020033        75020030        81526077        1       4415    0       1       3
75020048        75020046        81526077        0       4415    0       0       3
75020061        75020058        81526099        1       4415    0       1       3
75020077        75020074        81526122        1       4415    0       1       3
75020105        75020090        81526122        0       4415    0       0       3
75020118        75020115        81526167        2       4414    0       1       3
75020134        75020130        81526190        1       4414    0       1       3
75020149        75020146        81526190        1       4415    0       1       3
75020165        75020162        81526213        1       4415    0       1       3
75020181        75020178        81526235        1       4415    0       1       3
75020197        75020194        81526235        0       4415    0       0       3
75020209        75020206        81526258        1       4415    0       1       3
75020225        75020222        81526281        1       4415    0       1       3
75020241        75020238        81526303        1       4415    0       1       3
75020257        75020254        81526303        0       4415    0       0       3
75020269        75020267        81526326        1       4415    0       1       3
75020285        75020282        81526349        1       4415    0       1       3
75020302        75020298        81526349        0       4415    0       0       3
75020314        75020311        81526371        1       4415    0       1       3
75020330        75020327        81526394        1       4415    0       1       3
75020346        75020343        81526417        1       4415    0       1       3
75020376        75020373        81526439        1       4415    0       1       3
75020395        75020391        81526462        1       4415    0       1       3
75284779        75284774        81814240        12690   -8275   4       1       3



# lsmod | grep snd_
snd_hda_codec_si3054     5504  1
snd_hda_codec_realtek   265044  1
snd_hda_intel          29000  2
snd_hda_codec          65376  3 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               8600  1 snd_hda_codec
snd_pcm                79960  3 snd_hda_codec_si3054,snd_hda_intel,snd_hda_codec
snd_timer              22496  1 snd_pcm
snd                    65096  11 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
snd_page_alloc          9216  2 snd_hda_intel,snd_pcm


# cat /proc/asound/pcm
00-00: ALC861 Analog : ALC861 Analog : playback 1 : capture 1
00-01: ALC861 Digital : ALC861 Digital : playback 1
00-06: Si3054 Modem : Si3054 Modem : playback 1 : capture 1
Comment 3 Michal Hlavinka 2009-05-20 09:41:14 EDT
> Description of problem:
> when using pulseaudion, sound contains random cracks (about 1 - 2 per second)

I've forgotten to say that first few seconds are ok
Comment 4 Michal Hlavinka 2009-05-20 13:31:08 EDT
Created attachment 344849 [details]
pulseaudio -vvvvv
Comment 5 Bug Zapper 2009-06-09 12:10:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Adam Williamson 2009-10-20 14:50:13 EDT
Is this still valid with current F11 kernel / pulseaudio?

(lennart, this is one of the kernel bugs if so, right?)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Michal Hlavinka 2009-10-21 02:55:17 EDT
> Is this still valid with current F11 kernel / pulseaudio?

unfortunately, I can't test it now, because this laptop died two weeks ago (graphic card is gone). This was still valid when I tried it last time (approx one month ago)
Comment 8 Adam Williamson 2009-10-21 18:44:45 EDT
let's take a bit of a guess, then. jaroslav, is there anything you can do with the information currently in the bug, bearing in mind that we can't get any more info?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2010-04-27 10:25:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:37:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.